#include <stdio.h> 
#include "Point.hpp" 
 
Point::Point() 
{ 
	x = 0; 
	y = 0; 
}  

Point::Point(double x, double y)  
{ 
	init(x, y); 
} 

void Point::init(double x, double y) 
{ 
	if (x < 0) x = 0; 
	if (x > 1) x = 1; 
 
	if (y < 0) y = 0; 
	if (y > 1) y = 1; 
 
	this->x = x; 
	this->y = y; 
} 

void Point::print() 
{ 
	printf("[x=%f, y=%f]", x, y); 
}
