// Dmitri V. Kalashnikov 
// Jan 19, 2002  
// dvk@cs.purdue.edu 
// Leaf quad tree node 
 
#ifndef KLNODE_HPP 
#define KLNODE_HPP 
 
#include "../const.h"  
#include "../data/Query.hpp" 
#include "../struc/DynArray.hpp"

#include "KNode.hpp" 

class KINode;
  
class KLNode : public KNode 
{ 
public: 
	//-- vars -- 
	DynArray<pQuery> *partQ; 
 
 
	//-- functions -- 
	KLNode() {;}
	KLNode (KINode *parent, pRect rect, pQuery q); 
	KLNode (KINode *parent, double x, double y, double x_sz, double y_sz); 


	void add   (pQuery q); 
	void remove(pQuery q);
}; 
 
typedef KLNode *pKLNode; 
 
#endif
