// Dmitri V. Kalashnikov 
// Jan 20, 2002 
// dvk@cs.purdue.edu 
// General Quad Tree (QT) Node 
 
#ifndef KNODE_HPP 
#define KNODE_HPP 
 
class KTree;

#include "../data/Rect.hpp" 
#include "../data/Query.hpp"
#include "../struc/DynArray.hpp"
 
class KINode;

class KNode 
{ 
public: 
	//-- vars -- 
	bool	isLeaf; 
	KINode	*parent; 
	Rect	rect; 
	DynArray<pQuery> *fullQ;

	//-- functions --
	KNode() {;}
	KNode(bool isLeaf, KINode *parent, pRect rect);

	void add(pQuery q);
}; 

 
typedef KNode *pKNode; 
 
#endif
