#ifndef KTREE_HPP 
#define KTREE_HPP 

#include "KLNode.hpp" 
#include "KNode.hpp" 
#include "../data/Query.hpp"
#include "../data/Point.hpp"
#include "../struc/DynArray.hpp"


class KTree 
{ 
public: 
	//-- vars --
	KNode	*root; 
 
 
	//-- functions --
	KTree(); 
 
	//-- add/remove --
	void addQueryArr(pQuery queryArr, int num_query); 
	void add(pQuery q); 
	void remove(pQuery q); 

	
	//-- map --
	DynArray<pQuery>* process(pPoint p);
	void getQ2P(Point *pointArr, int num_point, Query *queryArr, int num_query, pPListNode q2pmap); 


}; 
 
#endif
