#include <sys/timeb.h>
#include "Timer.hpp"

Timer::Timer()
{
	start();
}

//-----------
void Timer::start()
{
	struct timeb tmp; 
	ftime(&tmp);

	start_time = tmp.time + (tmp.millitm / 1000.0);
}

//-----------
double Timer::getTime()
{
	struct timeb tmp;
    ftime(&tmp);
 
    double cur_time = tmp.time + (tmp.millitm / 1000.0);

	return cur_time - start_time;
}
