// Dmitri V. Kalashnikov 
// Jan 19, 2002 
// dvk@cs.purdue.edu 
// Internal quad tree node 
 
#ifndef KINODE_HPP 
#define KINODE_HPP 
 
#include "KNode.hpp"

class KLNode;
  
class KINode : public KNode 
{ 
private:
	void trunc(int &x);

public:
	//-- vars --
	KLNode *child; //treat as if everything is LNode


	//-- functions --
	KINode() {;}
	KINode(KINode *parent, pRect rect);

	void add(pQuery q);

}; 
 
typedef KINode *pKINode; 

#endif
