#ifndef LIST_HPP 
#define LIST_HPP 
 
#include "ListNode.hpp"  

template <class DATA> 
class List 
{ 
public: 
	ListNode<DATA> *phead; 
 
	List();  
	~List();
 
	void insert(DATA data);  
	void remove(DATA data); 
	 
	DATA get();

	bool isEmpty(); 
	void print();  

}; 
  
class Query;
typedef List<Query*> *pQList;   
 
class Point; 
typedef List<Point*> *pPList; 
 
#include "List.cpp" //because of templates  

#endif
